Subject: Re: GSoC 2010: "Integrated Web Client for git" proposal

From: Petr Baudis <[email-masked]>
Date: Mon, 19 Apr 2010 11:07:34 +0200

On Mon, Apr 19, 2010 at 01:08:26PM +0530, Pavan Kumar Sunkara wrote:
> On Mon, Apr 19, 2010 at 12:53 PM, Junio C Hamano <[email-masked]> wrote:
> > On the other hand, a proposal about giving multiple clients access to
> > their own individual server-side checkouts (ala "workspace" in DELTA-V)
> > would require some mechanism to maintain the state on the server end, and
> > session management would be one ingredient necessary to achieve that.

But what if I will want to give a link to my "workspace" to someone
else? You can embed workspace id in the URL, in fact you would probably
just use it instead of project name completely naturally. I still don't
see any need for sessions.

> So, why don't we do like this,
> There will be no need of session management when gitweb is installed
> in some site like repo.or.cz which needs copy'n'paste URLs
> but there will be session management when the write modules are
> enabled and when gitweb is installed locally or on intranet (basically
> when it is used to work on a repo).
> 
> What do you say ?

I think it will be best to discuss session support (and work on
implementing it) when actual features where it is essential will
come up. So far, I'm unable to foresee them, but if we discuss it
later in conjunction with some concrete features, perhaps it will
be clearer.

> > When I heard that somebody wants to do a "write support" in gitweb, I
> > naturally thought the proposal was about implementing RFC3253 using git as
> > a backend.  I think it would be a reasonable thing to do (as opposed to
> > coming up with an ad-hoc "write support" mechanism that is not compatible
> > with anybody else), but on the other hand it might be a bit too ambitious
> > for a one-student summer project.

I think that would be something entirely different, and IMO even
much less interesting. ;-)

-- 
				Petr "Pasky" Baudis
http://pasky.or.cz/ | "Ars longa, vita brevis." -- Hippocrates